{% load static %}

<html>
<head>
    {% block title_outer %}
        <title>{% block title %}{% endblock %}</title>
    {% endblock %}

    <link rel="icon" href="{% static 'admin-lte/img/AdminLTELogo.png' %}" type="image/x-icon">

    {% block meta %}
        <meta charset="utf-8">
        <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    {% endblock %}

    {% block stylesheets %}
        {% include 'styles.html' %}
        {% block style_sheets %}{% endblock %}
    {% endblock %}

    {% block extra_head %}{% endblock %}
</head>
<body class="hold-transition sidebar-mini layout-footer-fixed {% block body_class %}{% block bodyclass %} layout-fixed {% endblock %}{% endblock %}">

{% block body %}
    <div class="wrapper">
        {% block nav_header %}
            {% include 'header.html' %}
        {% endblock %}

        {% block nav_sidebar %}
            {% include 'sidebar.html' %}
        {% endblock %}

        {% block content_wrapper %}
        <div class="content-wrapper">
            {% block content_header %}
                <section class="content-header">
                    {% block no_heading %}
                        <h1>
                            {% block page_name %}{% endblock %}
                            <div class="header-actions">
                                {% block page_actions %}{% endblock %}
                            </div>
                            {% block no_description %}
                            <small>{% block page_description %}{% endblock %}</small>
                            {% endblock %}
                        </h1>
                        {% block breadcrumbs %}
                            {# Breadcrumb implementation left to developers #}
                        {% endblock %}
                    {% endblock no_heading %}
                </section>
            {% endblock %}

            {% block content_outer %}
            <section class="content {% block content_class %}{% endblock %}">
                {% block content_block_wrap %}
                    {% block content %}{% endblock %}
                {% endblock %}
            </section>
            {% endblock %}

        </div>
        {% endblock content_wrapper %}

        {% block nav_footer %}
            {% include 'footer.html' %}
        {% endblock %}

    </div>
{% endblock body %}

{% block javascript %}
{% include 'scripts.html' %}
{% block js %}{% endblock %}
{% endblock %}

{% block extra_js %}{% endblock %}

{% block extra_foot %}{% endblock %}
</body>
</html>